Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# BulletCharacterControllerNode Class Reference

Inheritance diagram for BulletCharacterControllerNode:

List of all members.

## Public Member Functions
| BulletCharacterControllerNode (BulletShape shape, float step_height, string name)
| BulletCharacterControllerNode (BulletShape shape, float step_height)
bool | canJump ()
| doJump ()
float | getGravity ()
float | getMaxSlope ()
BulletShape | getShape ()
bool | isOnGround ()
| setAngularMovement (float omega)
| setFallSpeed (float fall_speed)
| setGravity (float gravity)
| setJumpSpeed (float jump_speed)
| setLinearMovement (Vec3 const velocity, bool is_local)
| setMaxJumpHeight (float max_jump_height)
| setMaxSlope (float max_slope)
| setUseGhostSweepTest (bool value)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Constructor & Destructor Documentation

BulletCharacterControllerNode | ( | BulletShape | shape,
|  | float | step_height,
|  | string | name
| ) |  |

BulletCharacterControllerNode | ( | BulletShape | shape,
|  | float | step_height
| ) |  |

## Member Function Documentation

bool canJump | ( |  | ) |

doJump | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from BulletBaseCharacterControllerNode.

float getGravity | ( |  | ) |

float getMaxSlope | ( |  | ) |

BulletShape getShape | ( |  | ) |

bool isOnGround | ( |  | ) |

setAngularMovement | ( | float | omega | ) |

setFallSpeed | ( | float | fall_speed | ) |

setGravity | ( | float | gravity | ) |

setJumpSpeed | ( | float | jump_speed | ) |

setLinearMovement | ( | Vec3 const | velocity,
|  | bool | is_local
| ) |  |

setMaxJumpHeight | ( | float | max_jump_height | ) |

setMaxSlope | ( | float | max_slope | ) |

setUseGhostSweepTest | ( | bool | value | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties